Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface XTN

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  XTNImpl

    public interface XTN

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'XTN'. This data structure is being used to represent a telephone number and is based on the HL7 v2.5 data type XTN.

The following features are supported:

- `Unformatted Telephone Number`

See Also:
  `Hl7v2Package.getXTN()`

Method Summary
`java.lang.String` | `getUnformattedTelephoneNumber()` Returns the value of the 'Unformatted Telephone Number' attribute.
`void` | `setUnformattedTelephoneNumber(java.lang.String value)` Sets the value of the '`Unformatted Telephone Number`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUnformattedTelephoneNumber

    java.lang.String getUnformattedTelephoneNumber()

  Returns the value of the 'Unformatted Telephone Number' attribute.

  If the meaning of the 'Unformatted Telephone Number' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unformatted Telephone Number' attribute.
  See Also:
    `setUnformattedTelephoneNumber(String)`, `Hl7v2Package.getXTN_UnformattedTelephoneNumber()`

### setUnformattedTelephoneNumber

    void setUnformattedTelephoneNumber(java.lang.String value)

  Sets the value of the '`Unformatted Telephone Number`' attribute.

  Parameters:
    `value` - the new value of the 'Unformatted Telephone Number' attribute.
  See Also:
    `getUnformattedTelephoneNumber()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD